<?php 
/* Theme Functions And Definitions 
*
*/


if ( ! isset( $content_width ) ) $content_width = 550;

define('WEBRITI_TEMPLATE_DIR',get_template_directory());
define('WEBRITI_THEME_FUNCTIONS_PATH',WEBRITI_TEMPLATE_DIR.'/functions');
//the  for author.php 
if ( ! function_exists( 'beautyspa_content_nav' ) ) :
/**
 * Displays navigation to next/previous pages when applicable.
 *
 * @since BeautySAlon 1.0
 */
function beautyspa_content_nav( $html_id ) {
	global $wp_query;

	$html_id = esc_attr( $html_id );

	if ( $wp_query->max_num_pages > 1 ) : ?>
		<nav id="<?php echo $html_id; ?>" class="navigation" role="navigation">
			<h3 class="assistive-text"><?php _e( 'Post navigation', 'webriti' ); ?></h3>
			<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'webriti' ) ); ?></div>
			<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'webriti' ) ); ?></div>
		</nav><!-- #<?php echo $html_id; ?> .navigation -->
	<?php endif;
}
endif;


//wp_title
function beautyspa_wp_title( $title, $sep ) {
	global $paged, $page;

	if ( is_feed() )
		return $title;

	// Add the site name.
	$title .= get_bloginfo( 'name' );

	// Add the site description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";

	// Add a page number if necessary.
	if ( $paged >= 2 || $page >= 2 )
		$title = "$title $sep " . sprintf( __( 'Page %s', 'webriti' ), max( $paged, $page ) );

	return $title;
}
add_filter( 'wp_title', 'beautyspa_wp_title', 10, 2 );
// including theme setup file
include('theme_setup.php'); 

//option-panel Scripts and CSS	
require_once('option_pannel/option_pannel.php' );
require_once ( WEBRITI_THEME_FUNCTIONS_PATH . '/resize_image/resize_image.php' );
require_once ( WEBRITI_THEME_FUNCTIONS_PATH . '/Menu_Walker/default_menu_walker.php' );//default menu 
require_once ( WEBRITI_THEME_FUNCTIONS_PATH . '/Menu_Walker/beautyspa_nav_walker.php' );//custom menu
require_once ( WEBRITI_THEME_FUNCTIONS_PATH . '/comment/comment.php' );//Commentbox

function beautyspa_widgets_init() {
/*sidebar*/
register_sidebar( array(
		'name' => __( ' Sidebar', 'webriti' ),
		'id' => 'sidebar-primary',
		'description' => __( 'The primary widget area', 'webriti' ),
		'before_widget' => '<div class="widget">',
		'after_widget' => '</div>',
		'before_title' => ' <div id="widget-title" class="span12"><h4 class="spa-widget-title">',
		'after_title' => '</h4></div>',
	) );
	
	}	                     
add_action( 'widgets_init', 'beautyspa_widgets_init' );


//enqueue scripts
add_action('wp_enqueue_scripts','beautyspa_enqueue_script'); 
function beautyspa_enqueue_script() {
        
	
	wp_enqueue_style('beautyspa_custom_responsive', get_template_directory_uri().'/css/custom-responsive.css');
	wp_enqueue_style('beautyspa_bootstrap', get_template_directory_uri().'/css/bootstrap.css');
	wp_enqueue_style('beautyspa_bootstrap-responsive', get_template_directory_uri().'/css/bootstrap-responsive.css');
	wp_enqueue_style('beautyspa_docs', get_template_directory_uri().'/css/docs.css');	
	wp_enqueue_style('beautyspa_font', get_template_directory_uri().'/css/font/font.css'); //enqueue color css
	wp_enqueue_style('beautyspa_color',get_template_directory_uri().'/css/skins/green.css');

	
	if ( is_singular() ) wp_enqueue_script( "comment-reply" ); 	// them e check plugin 	
	wp_enqueue_script('beautyspa_menu', get_template_directory_uri().'/js/menu/menu.js',array('jquery'));
	wp_enqueue_script('beautyspa_bootmenus', get_template_directory_uri().'/js/menu/bootstrap.min.js');	
}
?>